      SUBROUTINE Kvadr (Fun, xa, xb, eps, y, gre)

C Nalazenje odredjenog integrala metodom kvadrature

      PARAMETER (max = 9)
      LOGICAL gre

      dx  = xb - xa
      y  = Fun (xa) * dx
      y0 = 1E38
      k  = 0
      n  = 1
      DO WHILE (k.le.max .and. abs(y-y0).gt.eps*abs(y))
        y0 = y
        n  = n + n
        dx  = dx * 0.5
        y  = 0
        DO i = 0, n-1
          y = y + Fun (xa+i*dx)
        END DO
        y = y * dx
        k = k + 1
      END DO
      gre = k .gt. max
      END
