      SUBROUTINE Trapez (Fun, xa, xb, eps, y, gre)

C Nalazenje odredjenog integrala metodom trapeza

      PARAMETER (max = 9)
      LOGICAL gre
      dx  = xb - xa
      y  = dx * (Fun (xa) + Fun (xb)) / 2
      y0 = 1E38
      k  = 0
      n  = 1
      DO WHILE (k.le.max .and. abs(y-y0).gt.eps*abs(y))
        y0 = y
        n  = n + n
        dx  = dx * 0.5
        y  = 0
        DO i = 1, n-1
          y = y + Fun (xa+i*dx)
        END DO
        y = (y + (Fun(xa) + Fun(xb)) / 2) * dx
        k = k + 1
      END DO
      gre = k .gt. max
      END
